SRU: update python3.6 to the new minor release 3.6.6

Bug #1792143 reported by Matthias Klose on 2018-09-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python3.6 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

18.04 LTS includes python3.6 3.6.5, this is about updating this Python version to the next 3.6.6 minor release as used in cosmic. The plan is to update to the next 3.6.7 release as well, once this is released and available in cosmic.

[Impact]
Provide the branch updates for the stable 3.6 branch in the LTS release.
Also handle a packaging issue passing build flags from debhelper to
third party extension builds.

[Regression Potential]
There is regression potential, however with a test rebuild of the main portion of the archive no regressions were found.

[Test Case]
No regressions in the Python 3.6 test suite, no regressions in the
test rebuild for the main component of the archive (all architectures).

As a test, a complete archive rebuild (main only) was performed, and no regressions were found with this new package. The archive rebuild also contained updated versions of gcc-7, gcc-8, binutils and python3.7, which should not interfer with python3.6.

Summary of the test rebuilds:
file:///home/ubuntu/ftbfs-report/production/test-rebuild-20180730-bionic.html
http://people.canonical.com/~doko/ftbfs-report/test-rebuild-20180730-gcc-bionic.html

The latter includes the updated packages from the ubuntu-toolchain-r/ppa PPA

Matthias Klose (doko) on 2018-09-13
description: updated

Hello Matthias, or anyone else affected,

Accepted python3.6 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python3.6/3.6.6-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python3.6 (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Matthias Klose (doko) wrote :

Packages built, testsuite looks ok, and all autopkg tests succeed.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python3.6 - 3.6.6-1~18.04

---------------
python3.6 (3.6.6-1~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1792143. Update Python 3.6 to the recent subminor release.

python3.6 (3.6.6-1) unstable; urgency=medium

  * Python 3.6.6 release.

python3.6 (3.6.6~rc1-4) unstable; urgency=medium

  * Update to 20180622 from the 3.6 branch.
    - Fix installation of idlelib testsuite.

python3.6 (3.6.6~rc1-3) unstable; urgency=medium

  * Update to 20180619 from the 3.6 branch.
  * Let ensurepip work with pip versions 9 or 10. Closes: #901797.
  * pdb(1): Fix pointer to HTML documentation. Closes: #901603.

python3.6 (3.6.6~rc1-1) unstable; urgency=medium

  * Python 3.6.6 release candidate 1.

python3.6 (3.6.5-10) unstable; urgency=medium

  * Update to 20180608 from the 3.6 branch.
  * Update the the sysconfig-debian-schemes patch, not yet applied.
    sysconfig: The 'posix_local' schema name is the default unless the env var
    DEB_PYTHON_INSTALL_LAYOUT is set to 'deb' or 'deb_system'. Use the latter
    for package buillds.
  * Build cmath as a builtin instead of an extension.
  * Run the test_code_module, test_zipfile tests in the autopkg tests again.
  * Build using GCC 8.

python3.6 (3.6.5-9) unstable; urgency=medium

  * python3.6: Add breaks on python3-all (<< 3.6.5~rc1-1),
    python3-dev (<< 3.6.5~rc1-1), python3-venv (<< 3.6.5-2). Closes: #898401.

python3.6 (3.6.5-8) unstable; urgency=medium

  * Fix the lto build for extensions, passing -fPIC to the linker.

python3.6 (3.6.5-6) unstable; urgency=medium

  * Don't inject dpkg's compiler specs into distutils. LP: #1768644.

python3.6 (3.6.5-5) unstable; urgency=medium

  * Fix the lto build on x86_64 architectures.
  * Make the build of the shared modules verbose again.

python3.6 (3.6.5-4) unstable; urgency=medium

  * Re-enable pgo/lto builds.

 -- Matthias Klose <email address hidden> Wed, 12 Sep 2018 20:26:19 +0200

Changed in python3.6 (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for python3.6 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers